package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.TBusiHiddEvaMapper;
import com.goldenwater.slaj.hidd.domain.TBusiHiddEva;
import com.goldenwater.slaj.hidd.service.ITBusiHiddEvaService;

/**
 * 隐患安全评估统计 服务层实现
 */
@Service
public class TBusiHiddEvaServiceImpl implements ITBusiHiddEvaService {

    @Autowired
    private TBusiHiddEvaMapper tBusiHiddEvaMapper;

    /**
     * 查询隐患安全评估统计信息
     * @param id 查询条件
     * @return 隐患安全评估统计信息
     */
    @Override
    public TBusiHiddEva selectTBusiHiddEvaById(Long id) {
        return tBusiHiddEvaMapper.selectTBusiHiddEvaById(id);
    }

    /**
     * 查询隐患安全评估统计列表
     * @param tBusiHiddEva 隐患安全评估统计查询条件
     * @return 隐患安全评估统计集合
     */
    @Override
    public List<TBusiHiddEva> selectTBusiHiddEvaList(TBusiHiddEva tBusiHiddEva) {
        return tBusiHiddEvaMapper.selectTBusiHiddEvaList(tBusiHiddEva);
    }

    /**
     * 新增隐患安全评估统计
     * @param tBusiHiddEva 隐患安全评估统计信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHiddEva(TBusiHiddEva tBusiHiddEva) {
        return tBusiHiddEvaMapper.insertTBusiHiddEva(tBusiHiddEva);
    }

    /**
     * 修改隐患安全评估统计
     * @param tBusiHiddEva 隐患安全评估统计信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHiddEva(TBusiHiddEva tBusiHiddEva) {
        return tBusiHiddEvaMapper.updateTBusiHiddEva(tBusiHiddEva);
    }

    /**
     * 删除隐患安全评估统计
     * @param id 隐患安全评估统计主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHiddEvaById(Long id) {
        return tBusiHiddEvaMapper.deleteTBusiHiddEvaById(id);
    }

    /**
     * 批量删除隐患安全评估统计
     * @param ids 隐患安全评估统计主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHiddEvaByIds(Long[] ids) {
        return tBusiHiddEvaMapper.deleteTBusiHiddEvaByIds(ids);
    }
}
